%define lib_name_orig   lib%{name}
%define lib_major       3
%define lib_name        %mklibname %{name} %{lib_major}
%define kversion        2.6.17

Summary:        Utilities for lm_sensors
Name:           lm_sensors
Version:        2.10.4
Release:        %mkrel 2
License:        GPL
Group:          System/Kernel and hardware
URL:            http://www.lm-sensors.nu/
Source0:        ftp://ftp.netroedge.com/pub/lm-sensors/lm_sensors-%{version}.tar.gz
Source1:        ftp://ftp.netroedge.com/pub/lm-sensors/lm_sensors-%{version}.tar.gz.asc
Source2:        lm_sensors-2.8.2-sensors
Patch0:         lm_sensors-2.9.1-misleading_error_message.patch
Provides:       lm_utils = %{version}-%{release}
Obsoletes:      lm_utils < %{version}-%{release}
Requires:       perl
Requires(pre):  rpm-helper
Requires(postun): rpm-helper
Requires:       %{lib_name} >= %{version}
BuildRequires:  bison
BuildRequires:  chrpath
BuildRequires:  flex
BuildRequires:  kernel-source
BuildRequires:  librrdtool-devel
BuildRequires:  libsysfs-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
This package contains a collection of user space tools for general SMBus
access and hardware monitoring. SMBus, also known as System Management Bus,
is a protocol for communicating through a I2C ('I squared C') bus. Many modern
mainboards have a System Management Bus. There are a lot of devices which can
be connected to a SMBus; the most notable are modern memory chips with EEPROM
memories and chips for hardware monitoring.

Most modern mainboards incorporate some form of hardware monitoring chips.
These chips read things like chip temperatures, fan rotation speeds and
voltage levels. There are quite a few different chips which can be used
by mainboard builders for approximately the same results.

%package -n %{lib_name}
Summary:        Libraries needed for lm_sensors
Group:          System/Libraries
Provides:       %{lib_name} = %{version}-%{release}

%description -n %{lib_name}
Libraries to access lm_sensors internal data.

%package -n %{lib_name}-devel
Summary:        Development libraries and header files for lm_sensors
Group:          Development/C
Requires(pre): %{lib_name} = %{version}-%{release}
Requires(postun): %{lib_name} = %{version}-%{release}
Requires:       %{lib_name} = %{version}
Provides:       %{_lib}%{name}-devel = %{version}-%{release}
Provides:        %{lib_name_orig}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %{name}-devel < %{version}-%{release}

%description -n %{lib_name}-devel
Development libraries and header files for lm_sensors.

You might want to use this package while building applications that might
take advantage of lm_sensors if found.

%package -n %{lib_name}-static-devel
Summary:        Static libraries for lm_sensors
Group:          Development/C
Requires(pre):  %{lib_name}-devel = %{version}-%{release}
Requires(postun): %{lib_name}-devel = %{version}-%{release}
Provides:       %{lib_name_orig}-static-devel = %{version}-%{release}

%description -n %{lib_name}-static-devel
This package contains static libraries for lm_sensors.

%prep
%setup -q
%patch0 -p0 -b .misleading_error_message

%build
%define _MAKE_DEFS COMPILE_KERNEL=0 WARN=1 PREFIX=%{_prefix} LINUX=%{_usrsrc}/linux I2C_HEADERS=%{_usrsrc}/linux/include ETCDIR=%{_sysconfdir} MANDIR=%{_mandir} PROG_EXTRA:=sensord LIBDIR=%{_libdir}
%define MAKE_DEFS %{_MAKE_DEFS}

%{make} %{MAKE_DEFS} user

%install
%{__rm} -rf %{buildroot}

%define MAKE_DEFS %{_MAKE_DEFS} DESTDIR=%{buildroot}

%{make} %{MAKE_DEFS} user_install
%{__mkdir_p} %{buildroot}%{_initrddir}
%{__cp} -a %{SOURCE2} %{buildroot}%{_initrddir}/lm_sensors
%{__rm} %{buildroot}/usr/include/linux/i2c-dev.h
%{__rm} %{buildroot}/usr/include/linux/sensors.h
%{_bindir}/chrpath -d %{buildroot}%{_sbindir}/i2cget
%{_bindir}/chrpath -d %{buildroot}%{_sbindir}/i2cset
%{_bindir}/chrpath -d %{buildroot}%{_sbindir}/i2cdump
%{_bindir}/chrpath -d %{buildroot}%{_sbindir}/sensord
%{_bindir}/chrpath -d %{buildroot}%{_sbindir}/i2cdetect
%{_bindir}/chrpath -d %{buildroot}%{_bindir}/sensors
%ifnarch ppc
%{_bindir}/chrpath -d %{buildroot}%{_sbindir}/isadump
%{_bindir}/chrpath -d %{buildroot}%{_sbindir}/isaset
%endif

%{__cat} > README.urpmi << EOF
* To use this package, you'll have to launch "sensors-detect" as root, and ask few questions.
  No need to modify startup files as shown at the end, all will be done.

* Special note for via686a and i2c-viapro : if you don t see the values, you probably have a PCI conflict.
  It will be corrected in next kernel. Change the /etc/sysconfig/lm_sensors to use i2c-isa + via686a
  (or i2c-viapro + another sensor)
EOF

%clean
%{__rm} -rf %{buildroot}

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%post
%_post_service lm_sensors

%preun
%_preun_service lm_sensors

%files
%defattr(-,root,root)
%doc BACKGROUND BUGS CHANGES CONTRIBUTORS INSTALL README TODO doc README.urpmi
%config(noreplace) %{_sysconfdir}/sensors.conf
%attr(0755,root,root) %{_initrddir}/lm_sensors
%{_bindir}/sensors
%{_bindir}/ddcmon
%{_sbindir}/i2cdetect
%{_sbindir}/i2cdump
%{_sbindir}/i2cget
%{_sbindir}/i2cset
%ifnarch ppc
%{_sbindir}/isadump
%{_sbindir}/isaset
%endif
%{_sbindir}/sensors-detect
%{_sbindir}/sensord
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man8/*
%{_bindir}/decode-dimms.pl
%{_bindir}/decode-edid.pl
%{_bindir}/decode-vaio.pl
%{_bindir}/decode-xeon.pl
%{_sbindir}/fancontrol
%{_sbindir}/fancontrol.pl
%{_sbindir}/pwmconfig

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/libsensors.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_libdir}/libsensors.so
%dir %{_includedir}/sensors
%{_includedir}/sensors/*
%{_mandir}/man3/*

%files -n %{lib_name}-static-devel
%defattr(-,root,root)
%{_libdir}/libsensors.a




%changelog
* Tue Sep 11 2007 Anssi Hannula <anssi@mandriva.org> 2.10.4-2mdv2008.0
+ Revision: 84564
- enable initscript by default, it detects whether the modules are
  configured or not

* Fri Jul 20 2007 David Walluck <walluck@mandriva.org> 2.10.4-1mdv2008.0
+ Revision: 54003
- 2.10.4
- version Obsoletes and Provides
- only define DESTDIR during %%install
- reorder %%clean before post scripts
- no default runlevel in init script (needs configuring first)

* Fri Jun 01 2007 Christiaan Welvaart <spturtle@mandriva.org> 2.10.3-2mdv2008.0
+ Revision: 33655
- drop version from kernel-source build dependency since provides are not versioned


* Tue Mar 27 2007 David Walluck <walluck@mandriva.org> 2.10.3-1mdv2007.1
+ Revision: 149026
- 2.10.3

* Tue Jan 16 2007 David Walluck <walluck@mandriva.org> 2.10.2-1mdv2007.1
+ Revision: 109617
- 2.10.2

  + Emmanuel Andry <eandry@mandriva.org>
    - rebuild

* Thu Dec 14 2006 Emmanuel Andry <eandry@mandriva.org> 2.10.1-1mdv2007.1
+ Revision: 96582
- New version 2.10.1
  now relies on 2.6 kernel
  bunzip patches
  drop patches 0,2,3,4
- Import lm_sensors

* Tue May 23 2006 David Walluck <walluck@mandriva.org> 2.10.0-5mdk
- update patch for abituguru-1.1.7

* Wed Mar 15 2006 David Walluck <walluck@mandriva.org> 2.10.0-4mdk
- apply patch from CVS needed by uguru

* Wed Mar 15 2006 David Walluck <walluck@mandriva.org> 2.10.0-3mdk
- reapply uguru patch directly from author

* Mon Feb 20 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.10.0-2mdk
- add BuildRequires: libsysfs-devel

* Sun Feb 19 2006 David Walluck <walluck@mandriva.org> 2.10.0-1mdk
- 2.10.0
- rediff uguru patch

* Sun Jan 15 2006 David Walluck <walluck@mandriva.org> 2.9.2-1mdk
- 2.9.2
- rediff can-2005-2672 patch (mostly merged upstream)

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 2.9.1-9mdk
- convert parallel init to LSB

* Tue Jan 03 2006 Couriousous <couriousous@mandriva.org> 2.9.1-8mdk
- Move lm_sensors startup after syslog ( take fedora startup number )

* Mon Jan 02 2006 David Walluck <walluck@mandriva.org> 2.9.1-7mdk
- add Abit uguru patch (1.1.1)
- bzip2 patches
- add provides %%{_lib}%%{name}-devel

* Sun Jan 01 2006 Couriousous <couriousous@mandriva.org> 2.9.1-6mdk
- Add parallel init stuff

* Fri Dec 23 2005 Oden Eriksson <oeriksson@mandriva.com> 2.9.1-5mdk
- added P1 to remove a faulty error message
- rpmlint fixes

* Sun Aug 28 2005 Emmanuel Blindauer <blindauer@mandriva.org> 2.9.1-4mdk
- P2: security fix for CAN-2005-2672 (Vincent Danen)

* Sat May 21 2005 sebastien Savarin <plouf@mandriva.org> 2.9.1-3mdk
- Add sensors-detect.patch.tar.bz2

* Sat May 21 2005 Stefan van der Eijk <stefan@eijk.nu> 2.9.1-2mdk
- %%mkrel
- rebuild for new rrd

* Sun May 01 2005 Emmanuel Blindauer <blindauer@mandriva.org> 2.9.1-1mdk
- New release 2.9.1
- ddcmon added
- Removed patch1 for udev (fixed upstream)

* Fri Feb 11 2005 Emmanuel Blindauer <mdk@agat.net> 2.9.0-4mdk
- Really fix the udev problem ( #10535, #13517)
- Add README.urpmi

* Thu Feb 10 2005 Emmanuel Blindauer <mdk@agat.net> 2.9.0-3mdk
- switch to sensors-detect provided by the lm_sensors team.

* Thu Jan 06 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.9.0-2mdk
- fix build on ppc (no isa tools)

* Fri Dec 31 2004 Emmanuel Blindauer <mdk@agat.net> 2.9.0-1mdk
- 2.9.0 
- happy new year

* Fri Oct 08 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.8.7-7mdk
- fix deps

* Tue Sep 28 2004 Emmanuel Blindauer <mdk@agat.net> 2.8.7-6mdk
- My fault, don't put bz2 in /usr/sbin (and don't build rpm when tired)

* Mon Sep 27 2004 Emmanuel Blindauer <mooby@agat.net> 2.8.7-5mdk
- Removed patch4 and added new source for sensors-detect udev-compatible

* Sat Jun 19 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.8.7-4mdk
- fix ppc build

* Fri Jun 18 2004 Blindauer Emmanuel <mooby@agat.net> 2.8.7-3mdk
- requires the correct name

* Thu Jun 17 2004 Blindauer Emmanuel <mooby@agat.net> 2.8.7-2mdk
- added requires against liblm_sensors

* Wed Jun 16 2004 Blindauer Emmanuel <mooby@agat.net> 2.8.7-1mdk
- 2.8.7
- Removed patch5 (kernel and lm_sensors in sync)

* Wed Apr 21 2004 Luca Berra <bluca@vodka.it> 2.8.6-2mdk 
- added *ugly* patch for compatibility with previous 2.6 kernels

* Wed Apr 21 2004 Luca Berra <bluca@vodka.it> 2.8.6-1mdk 
- 2.8.6 needed for 2.6.5 kernel
- removed p3 (merged upstream)
- rediffed p4

